MacDraft5StyleManagerInternal::State Struct Reference

Internal: the state of a MacDraft5StyleManager. More...

## Public Member Functions

| State ()
| constructor
bool | getArrow (int id, MWAWGraphicStyle::Arrow &arrow)
| returns an arrow if possible
bool | getColor (int id, MWAWColor &col)
| returns a color if possible
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pat)
| returns a pattern if possible
bool | getDash (int id, std::vector< float > &dash)
| returns the dash
void | initArrows ()
| init the arrow list
void | initColors ()
| init the color list
void | initPatterns ()
| init the patterns list
void | initDashs ()
| init the dashs list

## Public Attributes

long | m_dataEnd
| the end of the main data zone
long | m_rsrcBegin
| the begin of the rsrc data
std::vector< MWAWGraphicStyle::Arrow > | m_arrowList
| the arrow list
std::vector< MWAWColor > | m_colorList
| the color list
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list
std::vector< std::vector< float > > | m_dashList
| the list of dash
std::map< long, MWAWEntry > | m_beginToBitmapEntryMap
| a map file position to entry ( used to stored intermediar zones )
std::map< int, std::shared_ptr< Pixmap > > | m_bitmapIdToPixmapMap
| a map bitmapId to pixmap map
std::map< int, std::shared_ptr< Pixmap > > | m_pixIdToPixmapMap
| a map pixmapId to pixmap map
std::map< int, size_t > | m_pixIdToPatternIdMap
| a map pixmapId to patternId map

## Detailed Description

Internal: the state of a MacDraft5StyleManager.

## Constructor & Destructor Documentation

## State()

MacDraft5StyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getArrow()

bool MacDraft5StyleManagerInternal::State::getArrow | ( | int | id,
|  | MWAWGraphicStyle::Arrow & | arrow )

inline

returns an arrow if possible

## getColor()

bool MacDraft5StyleManagerInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col )

inline

returns a color if possible

## getDash()

bool MacDraft5StyleManagerInternal::State::getDash | ( | int | id,
|  | std::vector< float > & | dash )

inline

returns the dash

## getPattern()

bool MacDraft5StyleManagerInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat )

inline

returns a pattern if possible

## initArrows()

void MacDraft5StyleManagerInternal::State::initArrows | ( |  | ) |

init the arrow list

Referenced by getArrow().

## initColors()

void MacDraft5StyleManagerInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

## initDashs()

void MacDraft5StyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

Referenced by getDash().

## initPatterns()

void MacDraft5StyleManagerInternal::State::initPatterns | ( |  | ) |

init the patterns list

Referenced by getPattern().

## Member Data Documentation

## m_arrowList

std::vector<MWAWGraphicStyle::Arrow> MacDraft5StyleManagerInternal::State::m_arrowList

the arrow list

Referenced by getArrow(), initArrows(), and State().

## m_beginToBitmapEntryMap

std::map<long, MWAWEntry> MacDraft5StyleManagerInternal::State::m_beginToBitmapEntryMap

a map file position to entry ( used to stored intermediar zones )

Referenced by State().

## m_bitmapIdToPixmapMap

std::map<int, std::shared_ptr<Pixmap> > MacDraft5StyleManagerInternal::State::m_bitmapIdToPixmapMap

a map bitmapId to pixmap map

Referenced by State().

## m_colorList

std::vector<MWAWColor> MacDraft5StyleManagerInternal::State::m_colorList

the color list

Referenced by getColor(), initColors(), and State().

## m_dashList

std::vector< std::vector<float> > MacDraft5StyleManagerInternal::State::m_dashList

the list of dash

Referenced by getDash(), initDashs(), and State().

## m_dataEnd

long MacDraft5StyleManagerInternal::State::m_dataEnd

the end of the main data zone

Referenced by State().

## m_patternList

std::vector<MWAWGraphicStyle::Pattern> MacDraft5StyleManagerInternal::State::m_patternList

the patterns list

Referenced by getPattern(), initPatterns(), and State().

## m_pixIdToPatternIdMap

std::map<int, size_t> MacDraft5StyleManagerInternal::State::m_pixIdToPatternIdMap

a map pixmapId to patternId map

Referenced by State().

## m_pixIdToPixmapMap

std::map<int, std::shared_ptr<Pixmap> > MacDraft5StyleManagerInternal::State::m_pixIdToPixmapMap

a map pixmapId to pixmap map

Referenced by State().

## m_rsrcBegin

long MacDraft5StyleManagerInternal::State::m_rsrcBegin

the begin of the rsrc data

Referenced by State().

The documentation for this struct was generated from the following file:

- MacDraft5StyleManager.cxx